### Method

# GExiv2 Metadata try_get_fnumber

deprecated: 0.16.0 since: 0.14.0

#### Declaration [src]

    gdouble
    gexiv2_metadata_try_get_fnumber (
      GExiv2Metadata* self
      GError** error
    )

#### Description [src]

See https://en.wikipedia.org/wiki/F-number for more information. If Exif.Photo.FNumber does not exist, it will fall back to calculating the FNumber from Exif.Photo.ApertureValue (if available);.

Available since: 0.14.0

Deprecated since: 0.16.0

Use `gexiv2_metadata_get_fnumber()` instead.

#### Return value

Type: `gdouble`

The exposure Fnumber as a gdouble, or -1.0 if tag is not present or invalid.